#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.1
visibility:           public
id:                   ral-0.1-Fm9oauO7LLgEuojmbiK3aY
key:                  ral-0.1-Fm9oauO7LLgEuojmbiK3aY
license:              GPL-2.0-or-later
copyright:            (c) 2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    This packages don'\''t provide length-indexed variant, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  d5dbef2d196895194e92b3b2051d8dec
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ral-0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ral-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ral-0.1
hs-libraries:         HSral-0.1-Fm9oauO7LLgEuojmbiK3aY
depends:
    QuickCheck-2.14.2-FoFCShHtoe2338etGxuOHP
    adjunctions-4.4-2VXbwxZDK6uCBzVChcLx25 base-4.14.1.0
    bin-0.1-3sB7EOaDCWvFvjEjLO8aSj deepseq-1.4.4.0
    distributive-0.6.2.1-3YsqxP9s7eoFIDLWIyHYcj
    fin-0.1.1-9Pr0CvYoPQD5pKYC35ta4v
    hashable-1.3.1.0-3O2Bzk2rCtQQYcJkJ3vPV
    semigroupoids-5.3.5-Hd2K9iGm0WKJ3et6TlMgZU

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

